/**********************************************************************************************************************
 * Copyright (c) Prophesee S.A.                                                                                       *
 *                                                                                                                    *
 * Licensed under the Apache License, Version 2.0 (the "License");                                                    *
 * you may not use this file except in compliance with the License.                                                   *
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0                                 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed   *
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.                      *
 * See the License for the specific language governing permissions and limitations under the License.                 *
 **********************************************************************************************************************/

#ifndef METAVISION_HAL_CCAM3_SINGLE_GEN3_TEP_REGISTER_CONTROL_REGISTERMAP_H
#define METAVISION_HAL_CCAM3_SINGLE_GEN3_TEP_REGISTER_CONTROL_REGISTERMAP_H

RegmapData ccam3_single_gen3_TEPRegisterControlRegisterMap[] = {{R, {{"ATIS_CONTROL", 0x0}}},
                                                                {F, {{"EN_VDDA", 0, 1, 0x0}}},
                                                                {F, {{"EN_VDDC", 1, 1, 0x0}}},
                                                                {F, {{"EN_VDDD", 2, 1, 0x0}}},
                                                                {F, {{"SENSOR_SOFT_RESET", 3, 1, 0x1}}},
                                                                {F, {{"IN_EVT_NO_BLOCKING_MODE", 4, 1, 0x1}}},
                                                                {F, {{"SISLEY_HVGA_REMAP_BYPASS", 8, 1, 0x1}}},
                                                                {F, {{"MASTER_MODE", 12, 1, 0x0}}},
                                                                {F, {{"MASTER_ENABLE", 13, 1, 0x0}}},
                                                                {F, {{"USE_EXT_START", 14, 1, 0x0}}},
                                                                {F, {{"SENSOR_TB_IOBUF_EN_N", 15, 1, 0x1}}},
                                                                {F, {{"SENSOR_TB_PE_RST_N", 16, 1, 0x0}}},
                                                                {F, {{"TD_RSTN", 18, 1, 0x1}}},
                                                                {F, {{"EM_RSTN", 19, 1, 0x1}}},
                                                                {F, {{"EN_EXT_CTRL_RSTB", 20, 1, 0x0}}},
                                                                {F, {{"CFG_FLIP_X_EN", 21, 1, 0x0}}},
                                                                {F, {{"CFG_FLIP_Y_EN", 22, 1, 0x0}}},
                                                                {R, {{"ATIS_BIASROI_UPDATE_VALUE0", 0x2}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"ATIS_BIASROI_UPDATE_VALUE1", 0x4}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"ATIS_BIAS_UPDATE_VALUE2", 0x6}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"CCAM2_CONTROL", 0x8}}},
                                                                {F, {{"ENABLE_64BITS_EVENT", 3, 1, 0x0}}},
                                                                {F, {{"BYPASS_MAPPING", 5, 1, 0x1}}},
                                                                {F, {{"HOST_IF_ENABLE", 8, 1, 0x0}}},
                                                                {F, {{"STEREO_MERGE_ENABLE", 9, 1, 0x0}}},
                                                                {F, {{"ENABLE_IMU", 10, 1, 0x0}}},
                                                                {F, {{"ENABLE_OUT_OF_FOV", 11, 1, 0x0}}},
                                                                {R, {{"TRIGGERS", 0xa}}},
                                                                {F, {{"SOFT_RESET", 0, 1, 0x0}}},
                                                                {F, {{"BIAS_DIN_VALID", 1, 1, 0x0}}},
                                                                {F, {{"TS_RESET", 2, 1, 0x0}}},
                                                                {F, {{"ROI_DIN", 3, 1, 0x0}}},
                                                                {F, {{"FIFO_RESET", 7, 1, 0x0}}},
                                                                {F, {{"FLASH_ACCESS", 8, 1, 0x0}}},
                                                                {F, {{"MAPPING_FETCH", 9, 1, 0x0}}},
                                                                {F, {{"PROG_DAC", 10, 1, 0x0}}},
                                                                {F, {{"DAC_DIN_VALID", 11, 1, 0x0}}},
                                                                {R, {{"SYSTEM_STATUS", 0xc}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"FOUT_LSB_STATUS", 0xe}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"FOUT_MSB_STATUS", 0x10}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"FIFO_WRCOUNT_STATUS", 0x12}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"FIFO_CHECKPIX_STATUS", 0x14}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"TLAST_REARMUS", 0x16}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"OVERFLOW_HITCOUNT", 0x18}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"CCAM2_MODE", 0x1a}}},
                                                                {F, {{"MODE", 0, 2, 0x0}}},
                                                                {F, {{"ATIS_DEBUG_SEL", 4, 12, 0x1}}},
                                                                {R, {{"SERIAL_LSB", 0x1c}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SERIAL_MSB", 0x20}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"NOTIFY_PACKETCOUNT", 0x22}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_FADDR_LSB", 0x24}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_FADDR_MSB", 0x26}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_RDATA_LSB", 0x28}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_RDATA_MSB", 0x2a}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_READ_ITER", 0x2c}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"SNFETCH_TIME_COUNT", 0x2e}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"BIAS_LOAD_ITERATION_COUNT", 0x30}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"FLASH_PROGRAM_SEL_SLAVE", 0x32}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"OUT_OF_FOV_FILTER_X", 0x34}}},
                                                                {F, {{"WIDTH", 0, 11, 0x280}}},
                                                                {F, {{"ORIGIN", 16, 11, 0x0}}},
                                                                {R, {{"OUT_OF_FOV_FILTER_Y", 0x36}}},
                                                                {F, {{"HEIGHT", 0, 11, 0x1e0}}},
                                                                {F, {{"ORIGIN", 16, 11, 0x0}}},
                                                                {R, {{"TEP_EVT_RATE_CONTROL_ENABLE", 0x38}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"TEP_EVT_RATE_CONTROL_T_DROP_FACTOR", 0x3a}}},
                                                                {F, {{"VALUE", 0, 16, 0x0}}},
                                                                {R, {{"EXT_SYNC_OUT_MODE", 0x3c}}},
                                                                {F, {{"VALUE", 0, 1, 0x0}}},
                                                                {R, {{"IMAGE_SIZE", 0x3e}}},
                                                                {F, {{"HEIGHT", 0, 11, 0x1e0}}},
                                                                {F, {{"WIDTH", 16, 11, 0x280}}}

};
unsigned int ccam3_single_sisley_TEPRegisterControlRegisterMapSize =
    sizeof(ccam3_single_gen3_TEPRegisterControlRegisterMap) /
    sizeof(ccam3_single_gen3_TEPRegisterControlRegisterMap[0]);
#endif // METAVISION_HAL_CCAM3_SINGLE_GEN3_TEP_REGISTER_CONTROL_REGISTERMAP_H
